Bug 79676 - flat ods chart mangling ...
Summary: flat ods chart mangling ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.2.4.1 rc
Hardware: Other All
: medium major
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.4.0 target:4.3.0.1 target:4.2.7
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-05 10:32 UTC by Michael Meeks
Modified: 2014-07-21 12:19 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
test file. (25.63 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2014-06-05 10:33 UTC, Michael Meeks
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2014-06-05 10:32:50 UTC
Amazingly, we loose data when we save this guy as flat ods and re-load it.

That's crazy ! =) how different can the code-paths be ? and/or what is the chart code doing to (somehow) make that happen.

Fun.
Comment 1 Michael Meeks 2014-06-05 10:33:33 UTC
Created attachment 100452 [details]
test file.
Comment 2 Michael Meeks 2014-06-05 10:36:34 UTC
Interestingly when you save as .fods - the chart comes back with a data-table, rather than with spreadsheet / cell references as we'd expect [ so it is no longer live / dynamic ]. That's rather odd.

Perhaps there is then a more general problem with copy/paste/conversion to data table here ? Having said that, I managed to copy/paste a very similar chart to impress with no problems.

For reference this is a cp-4.2-5 build =)
Comment 3 Kohei Yoshida 2014-06-06 14:52:10 UTC
This is a very old problem, a known problem really.  Doing the same in 3.5 reproduces it.
Comment 4 Kohei Yoshida 2014-06-06 23:55:55 UTC
This is a hard problem to solve, mostly because flat ODF breaks the assumption that the embedded object code makes, and fixing it will require full understanding of how this embedded object framework works.

Anyway, I ran out out of time this week.  I'll tackle again next week.
Comment 5 Kohei Yoshida 2014-06-09 19:56:34 UTC
I finally figured this out.  Fix on the way.
Comment 6 Kohei Yoshida 2014-06-09 22:13:38 UTC
Still struggling with writing a test for this.  Maybe better luck tomorrow.
Comment 7 Kohei Yoshida 2014-06-10 12:26:53 UTC
Test is now good, but now make check massively fails. :-(
Comment 8 Commit Notification 2014-06-10 14:03:23 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c5539bb585370f095cb6c09e38a7dd005d237295

fdo#79676: Initialize with a default chart only from the UI.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2014-06-10 14:03:38 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9455b4eb4b0ca3909941f8f394afc509d041f860

fdo#79676: Write unit test for this.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2014-06-10 14:03:52 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d44b58beed743871df03909e7d9545e488f3d7c8

fdo#79676: Fix the Java UNO API test with regard to chart tests.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2014-06-10 14:05:29 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=486bf19009d2c737dd7bb822f534aaa47dbe9d6e&h=libreoffice-4-3

fdo#79676: Initialize with a default chart only from the UI.


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2014-06-10 14:05:42 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=215ccea6a5085096540a9a14f6c6c9c06a84bf95&h=libreoffice-4-3

fdo#79676: Write unit test for this.


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2014-06-10 14:05:56 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b72371aeb34288e40cdd082e387cf54593c8d111&h=libreoffice-4-3

fdo#79676: Fix the Java UNO API test with regard to chart tests.


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Kohei Yoshida 2014-06-10 14:24:47 UTC
The fix is too invasive to backport to 4.2.  I'll call this fixed in 4.3.
Comment 15 Commit Notification 2014-07-16 05:51:16 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0e3826d08d7a7d54dd532319fb584008eb0e24c8&h=libreoffice-4-2

fdo#79676: Initialize with a default chart only from the UI.


It will be available in LibreOffice 4.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2014-07-21 12:19:59 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d19c216f191ca13b7895b69cd5790d526aec2bb5&h=libreoffice-4-2

fdo#79676: Fix the Java UNO API test with regard to chart tests.


It will be available in LibreOffice 4.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.